E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
G::PathImp Class Reference

A private implementation class used by G::Path providing a set of static methods. More...

## Public Types
typedef std::string::size_type | pos_t

## Static Public Member Functions
static std::string | windows_sep ()
static pos_t | windows_slashpos (const std::string &s)
static bool | windows_simple (const std::string &s)
static bool | windows_absolute (const std::string &s)
static pos_t | windows_rootsize (const std::string &s, size_t chars, size_t parts)
static pos_t | windows_rootsize (const std::string &s)
static void | windows_normalise (std::string &s)
static std::string | windows_null ()
static std::string | posix_sep ()
static pos_t | posix_slashpos (const std::string &s)
static bool | posix_simple (const std::string &s)
static void | posix_normalise (std::string &s)
static bool | posix_absolute (const std::string &s)
static pos_t | posix_rootsize (const std::string &s)
static std::string | posix_null ()
static std::string | sep ()
static void | normalise (std::string &s)
static bool | simple (const std::string &s)
static bool | absolute (const std::string &s)
static std::string | null ()
static pos_t | rootsize (const std::string &s)
static pos_t | slashpos (const std::string &s)
static pos_t | dotpos (const std::string &s)
static void | splitInto (const std::string &str, StringArray &a)
static bool | purge (StringArray &a)
static std::string | join (StringArray::const_iterator p, StringArray::const_iterator end)
static std::string | join (const StringArray &a)

## Static Public Attributes
static bool | use_posix = true

## Detailed Description

A private implementation class used by G::Path providing a set of static methods.

Supports both posix-style and windows-style paths at run-time, with only the default selected at compile-time.

Definition at line 35 of file gpath.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gpath.cpp